netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
mac_greek.c File Reference
`#include <stdlib.h>`
`#include <arpa/inet.h>`
`#include <atalk/unicode.h>`
`#include "mac_greek.h"`
`#include "generic_mb.h"`

## Functions
static size_t | mac_greek_pull (void *, char **, size_t *, char **, size_t *)
static size_t | mac_greek_push (void *, char **, size_t *, char **, size_t *)
static int | char_ucs2_to_mac_greek (unsigned char *r, ucs2_t wc)
static int | char_mac_greek_to_ucs2 (ucs2_t *pwc, const unsigned char *s)

## Variables
struct charset_functions | charset_mac_greek

## Function Documentation

## ◆ char_mac_greek_to_ucs2()

int char_mac_greek_to_ucs2 | ( | ucs2_t * | pwc,
|  | const unsigned char * | s )
| static

## ◆ char_ucs2_to_mac_greek()

int char_ucs2_to_mac_greek | ( | unsigned char * | r,
|  | ucs2_t | wc )
| static

## ◆ mac_greek_pull()

size_t mac_greek_pull | ( | void * | cd,
|  | char ** | inbuf,
|  | size_t * | inbytesleft,
|  | char ** | outbuf,
|  | size_t * | outbytesleft )
| static

## ◆ mac_greek_push()

size_t mac_greek_push | ( | void * | cd,
|  | char ** | inbuf,
|  | size_t * | inbytesleft,
|  | char ** | outbuf,
|  | size_t * | outbytesleft )
| static

## Variable Documentation

## ◆ charset_mac_greek

struct charset_functions charset_mac_greek

Initial value:
= {
"MAC_GREEK",
6,
mac_greek_pull,
mac_greek_push,
CHARSET_CLIENT | CHARSET_MULTIBYTE,
NULL,
NULL,
NULL
}
mac_greek_push
static size_t mac_greek_push(void *, char **, size_t *, char **, size_t *)
Definition mac_greek.c:85
mac_greek_pull
static size_t mac_greek_pull(void *, char **, size_t *, char **, size_t *)
Definition mac_greek.c:114
CHARSET_MULTIBYTE
#define CHARSET_MULTIBYTE
Definition unicode.h:32
CHARSET_CLIENT
#define CHARSET_CLIENT
Definition unicode.h:28
NULL
#define NULL
Definition utf8util.c:47